package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.SysTenantConfig;
import com.bizmatics.service.SysTenantConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 登录中间页配置
 *
 * @author ya
 * @since 2022-05-06
 */
@RestController
@RequestMapping("/sysTenantConfig")
public class SysTenantConfigController {
    @Autowired
    private SysTenantConfigService sysTenantConfigService;

    /**
     * 登录中间页-样式配置查询
     *
     * @param url 域名
     * @return
     */
    @GetMapping("/getTenantConfig")
    public ApiResult<List<SysTenantConfig>> getTenantConfig(@RequestParam String url) {
        return ApiResult.success(sysTenantConfigService.getTenantConfig(url));
    }
}

