package com.bizmatics.service.impl;

import com.bizmatics.model.Device;
import com.bizmatics.model.SysTenant;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.SiteDeviceCountVo;
import com.bizmatics.model.vo.SysTenantVo;
import com.bizmatics.persistence.mapper.SysTenantMapper;
import com.bizmatics.persistence.mapper.system.SysUserMapper;
import com.bizmatics.service.SysTenantService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 租户信息表 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
@Service
public class SysTenantServiceImpl extends AbstractCrudService<SysTenantMapper, SysTenant> implements SysTenantService {

    @Autowired
    private SysUserMapper userMapper;

    @Override
    public List<SysTenantVo> getUserData() {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        Integer userId = user.getUserId().intValue();
        List<SysTenantVo> list = baseMapper.getUserData(userId);
        return list;
    }
}
